Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workflows/getapi-v-1-workspaces-id-request-automations-type-request-key

# Get Request automation Definition of a Workspace

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/{request_key}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### type (path, enum (string), required)

Automation entity type (see allowed values in the enum schema).

#### request\_key (path, string, required)

Automation UUID — the `key` field returned by list/get endpoints.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/{request_key}' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/{request_key}', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/{request_key}',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
